<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Platform Details: Mac</title>
<link href="stylesheet.css" type="text/css" rel="stylesheet"></link>
</head>

<body>

<div id="toplink">
<a href="../README.html">Back to README</a>
</div>

<h1>Platform Details: Mac</h1>

<p>
Although Native Client modules are platform independent,
the instructions for installing and building Native Client
differ a bit between platforms.
This page has details about the Mac environment.
</p>

<p>
For instructions on installing and using Native Client,
see <a href="getting_started.html">Getting Started</a>.
That page and others,
such as <a href="building.html">Building Native Client</a>,
link to this page as needed.
</p>

<h3>
Contents:
</h3>

<ul>
<li><a href="#testedconfigs">Tested configurations</a> </li>
<li> <a href="#run">Running on Mac</a>
  <ul>
  <li><a href="#run-python">Getting Python</a> </li>
  <li><a href="#run-pythonpath">Checking the Python path</a> </li>
  </ul></li>
<li> <a href="#dev">Developing on Mac</a>
  <ul>
  <li><a href="#dev-env">Setting up your development environment</a></li>
  </ul></li>
</ul>

<h2> <a name="testedconfigs" id="testedconfigs"> </a> Tested configurations </h2>

<p>
Native Client has been tested with the following Mac configurations:
</p>

<ul>
<li> OS
  <ul>
  <li> Mac OS X 10.5 (Leopard) </li>
  </ul></li>
<li> Browser
  <ul>
  <li> Firefox 3 </li>
  </ul> </li>
<li> Python
  <ul>
  <li> 2.5 </li>
  </ul> </li>
<li> Development environment
  <ul>
  <li> Xcode 3.* </li>
  </ul> </li>
</ul>

<p>
The following browsers are partially supported on Mac:
</p>

<ul>
<li> Camino: Appears to work but has had minimal testing. </li>
<li> Firefox 2: We <em>strongly</em> encourage you to upgrade
     to Firefox 3.
     On Firefox 2, control, command and alt keys are not enabled
     in Native Client
     due to an eavesdropping vulnerability.<br>
     <b>Note:</b> The control key is used
     for firing weapons in Quake. </li>
<li> Safari: Mouse events don't work. </li>
</ul>

<h2><a name="run" id="run"> </a> Running on Mac </h2>

<h3><a name="run-python" id="run-python"> </a> Getting Python </h3>

<p>
Python 2.5 is included in Mac OS X 10.5.
You can download other versions of Python from
<a href="http://www.python.org/download/">http://www.python.org/download/</a>.
</p>

<h3><a name="run-pythonpath" id="run-pythonpath"> </a> Checking the Python path </h3>

<p>
The path to <code>python</code> must have <b>no spaces</b>.
You can use the <code>which</code> command
to see the path:
</p>

<pre>
$ <kbd>which python</kbd>
/usr/bin/python
</pre>


<h2><a name="dev"> </a> Developing on Mac </h2>

<h3><a name="dev-env" id="dev-env"> </a> Setting up your development environment </h3>

<p>
If you don't already have Xcode, download it.
For details, see
<a href="http://developer.apple.com/tools/xcode">http://developer.apple.com/tools/xcode</a>.</li>
</p>

<p id="license">
Except as otherwise
<a href="http://code.google.com/policies.html#restrictions">noted</a>,
the content of this page is licensed under a
<a href="http://creativecommons.org/licenses/by/2.5/">Creative Commons
Attribution 2.5 license</a>.
</p>

</body>
</html>
